## python-magnumclient 4.4.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

keystoneauth1>=3.4.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
PrettyTable>=0.7.2 # BSD
cryptography>=3.0 # BSD/Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
python-magnumclient (4.4.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 16:42:49 +0000

python-magnumclient (4.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/p/0001-Update-VerifiedHTTPSConnection-for-Python-3.12.patch:
    cherry pick proposed fix for compatibility with Python 3.12.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:35:29 +0000

python-magnumclient (4.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:45:18 -0400

python-magnumclient (4.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:52:28 -0500

python-magnumclient (4.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:19:46 -0500

## python-magnumclient 4.7.0

=== debian/changelog ===
python-magnumclient (4.7.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090526).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:15:47 +0100

python-magnumclient (4.7.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:14:38 +0200

python-magnumclient (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 11:04:20 +0200

python-magnumclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased py3.12-key_file-and-cert_file-must-use-context.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:04:11 +0200

python-magnumclient (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:24:45 +0200

python-magnumclient (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:28:11 +0100

python-magnumclient (4.2.0-3) unstable; urgency=medium

  * Add py3.12-key_file-and-cert_file-must-use-context.patch
    (Closes: #1058323).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Dec 2023 10:54:22 +0100

python-magnumclient (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:28:21 +0200

## python-magnumclient 4.7.1

=== debian/changelog ===
python-magnumclient (4.7.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:16:31 +0000

## python-magnumclient 4.8.0

=== debian/changelog ===
python-magnumclient (4.8.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:34:51 +0000

python-magnumclient (4.7.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:30:38 +0100

python-magnumclient (4.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 
  * d/p/*: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 07:20:58 +0100

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-cryptography (>= 3.0),
 python3-decorator (>= 3.4.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-magnumclient
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-cryptography (>= 3.0),
 python3-decorator (>= 3.4.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=magnumclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf .testrepository build doc/man

override_dh_install:
	dh_install -O--buildsystem=pybuild
	rm -rf $(CURDIR)/debian/python-magnumclient/usr/magnumclient

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_installman:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/man
	dh_installman -O--buildsystem=pybuild
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-magnumclient-doc/usr/share/doc/python-magnumclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-magnumclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-magnumclient 4.8.1

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 keystoneauth1>=3.4.0 # Apache-2.0

=== debian/changelog ===
python-magnumclient (4.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 11:05:09 +0100

python-magnumclient (4.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 15:51:53 +0100

python-magnumclient (4.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:29:13 +0100

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-cryptography,
 python3-decorator,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-magnumclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-magnumclient.git
Homepage: http://www.openstack.org/

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-cryptography,
 python3-decorator,
 python3-keystoneauth1,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f ca.pem cert.pem key.pem config
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'magnumclient\.tests\.(?!.*test_utils\.CliUtilsTest\.test_keys_and_vals_to_strs.*)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-magnumclient-doc/usr/share/doc/python-magnumclient-doc/html
	dh_sphinxdoc

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-magnumclient 4.9.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-os-client-config>=1.28.0 # Apache-2.0
+openstacksdk>=0.10.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 PrettyTable>=0.7.2 # BSD
 cryptography>=3.0 # BSD/Apache-2.0

=== debian/changelog ===
python-magnumclient (4.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:29:20 +0200

python-magnumclient (4.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 13:56:40 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-keystoneauth1,
  python3-openstackclient,
  python3-openstackdocstheme,
- python3-os-client-config,
+ python3-openstacksdk,
  python3-osc-lib,
  python3-oslo.i18n,
  python3-oslo.log,
@@ -65,7 +65,7 @@
  python3-cryptography,
  python3-decorator,
  python3-keystoneauth1,
- python3-os-client-config,
+ python3-openstacksdk,
  python3-osc-lib,
  python3-oslo.i18n,
  python3-oslo.log,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-magnumclient refs/tags/(\d[brc\d\.]+)

## python-magnumclient 4.10.0

=== debian/changelog ===
python-magnumclient (4.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 18:18:39 +0100

python-magnumclient (4.9.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046931).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 13:02:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_clean:
 	rm -f ca.pem cert.pem key.pem config
-	rm -rf build .stestr *.egg-info
+	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
